#ifndef _MATH_INC_ͷļѰ_
#define _MATH_INC_ͷļѰ_

#ifdef __cplusplus
extern "C"
{
#endif

double acos(double x);
double asin(double x);
double atan(double x);
double atan2(double y,double x);
double sin(double x);
double cos(double x);
double tan(double x);
double pow(double x,double y);
double ceil(double x);
double floor(double x);
double round(double x);
double lround(double x);
double trunc(double x);
double fabs(double x);
double log(double x);
double log10(double x);
double exp(double x);
double exp2(double x);
double expm1(double x);
double ldexp(double x,int exp);
double scalbn(double x,int exp);
double scalbln(double x,long exp);
double log2(double x);
double modf(double x,double * intptr);
double cbrt(double x);
double hypot(double x,double y);
double sqrt(double x);
double fmod(double x,double y);
double remainder(double x,double y);
double remquo(double x,double y,int * quo);
double copysign(double x,double y);
double frexp(double x,int * exp);
double acosh(double x);
double asinh(double x);
double atanh(double x);
double cosh(double x);
double sinh(double x);
double tanh(double x);

#ifdef __cplusplus
}
#endif

#endif