#ifndef _STDIO_H_ͷļѰ_
#define _STDIO_H_ͷļѰ_

#include <stddef.h>
#include <stdarg.h>

typedef struct __ļṹ__{} FILE;
typedef struct __ļλýṹ__{} fpos_t;

#define SEEK_SET 0
#define SEEK_CUR 1
#define SEEK_END 2

#ifdef __cplusplus
extern "C"
{
#endif

extern FILE * stdin,* stdout,* stderr;

int sprintf(char * buffer,const char * format,...);
int snprintf(char * buffer,size_t count,const char * format,...);
void clearerr(FILE * stream);
int fclose(FILE * stream);
int feof(FILE * stream);
int ferror(FILE * stream);
int fflush(FILE * stream);
int fgetc(FILE * stream);
int getc(FILE * stream);
int fgetpos(FILE * stream,fpos_t * pos);
int fsetpos(FILE * stream,const fpos_t * pos);
char * fgets(char * string,int n,FILE * stream);
FILE * fopen(const char * filename,const char * mode);
size_t fread(void * buffer,size_t size,size_t count,FILE * stream);
size_t fwrite(const void * buffer,size_t size,size_t count,FILE * stream);
int fprintf(FILE * stream,const char * format,...);
int fputc(int c,FILE * stream);
int fseek(FILE * stream,long offset,int origin);
int putc(int c,FILE * stream);
int fputs(const char * string,FILE * stream);
int sscanf(const char * buffer,const char * format,...);
int fscanf(FILE * stream,const char * format,...);
int remove(const char * path);
int rename(const char * oldname,const char * newname);
FILE * tmpfile(void);
char * tmpnam(char * string);
FILE * freopen(const char * path,const char * mode,FILE * stream);
int ungetc(int c,FILE * stream);
long ftell(FILE * stream);
void rewind(FILE * stream);
int printf(const char * format,...);
int scanf(const char *format,...);
int getchar(void);
char * gets(char * buffer);
int putchar(int c);
int puts(const char * s);
int vsprintf(char * buffer,const char * format,va_list arg);
int vsnprintf(char * buffer,size_t count,const char * format,va_list arg);
int vfprintf(FILE * stream,const char * format,va_list arg);
int vsscanf(const char * buffer,const char * format,va_list arg);
int vfscanf(FILE * stream,const char * format,va_list arg);
int vprintf(const char * format,va_list arg);
int vscanf(const char *format,va_list arg);

#ifdef __cplusplus
}
#endif

#endif
