#include "windows.h"

int lastx,lasty;

LRESULT WINAPI WndProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM lParam)
{
	switch(uMsg)
	{
	case WM_LBUTTONDOWN:
		lastx=lParam&0xffff;
		lasty=(unsigned)lParam>>16;
		break;
	case WM_MOUSEMOVE:
		if(MK_LBUTTON==wParam)
		{
			HDC dc;
			int x,y;
			x=lParam&0xffff;
			y=(unsigned)lParam>>16;
			dc=GetDC(hWnd);
			MoveToEx(dc,lastx,lasty,NULL);
			LineTo(dc,x,y);
			lastx=x;
			lasty=y;
		}
		break;
	case WM_CLOSE:
		PostQuitMessage(0);
	}
	return DefWindowProc(hWnd,uMsg,wParam,lParam);
}

void main(int argc,char * argv[])
{
	WNDCLASS wc;
	wc.cbClsExtra=0;
	wc.cbWndExtra=0;
	wc.hbrBackground=(HBRUSH)GetStockObject(WHITE_BRUSH);
	wc.hCursor=LoadCursor(NULL,IDC_ARROW);
	wc.hIcon=LoadIcon(NULL,IDI_WARNING);
	wc.hInstance=GetModuleHandle(NULL);
	wc.lpfnWndProc=WndProc;
	wc.lpszClassName="abcdefg";
	wc.lpszMenuName=NULL;
	wc.style=0;
	RegisterClass(&wc);

	HWND h=CreateWindowEx(0,"abcdefg","ڴ϶ͼ",WS_OVERLAPPEDWINDOW,
		CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,
		NULL,NULL,wc.hInstance,0);
	ShowWindow(h,SW_SHOW);

	MSG msg;
	while(GetMessage(&msg,0,0,0))
	{
		DispatchMessage(&msg);
	}
}
