#ifndef _STDLIB_H_ͷļѰ_
#define _STDLIB_H_ͷļѰ_

#include <stddef.h>

#ifdef __cplusplus
extern "C"
{
#endif

#define RAND_MAX 0x7FFF

int abs(int n);
long labs(long n);
void abort(void);
int atoi(const char * string);
long atol(const char * string);
double atof(const char * string);
void exit(int status);
char * itoa(int value,char * string,int radix);
char * ltoa(long value,char * string,int radix);
void * malloc(size_t size);
void free(void * memblock);
long strtol(const char * nptr,char ** endptr,int base);
unsigned long strtoul(const char * nptr,char ** endptr,int base);
double strtod(const char * nptr,char ** endptr);
float strtof(const char * nptr,char ** endptr);
void srand(unsigned seed);
int rand(void);
void * realloc(void * memblock,size_t size);
char * getenv(char * varname);
void * bsearch(const void * key,const void * base,size_t num,size_t width,int (*compare)(const void *,const void *));
void * calloc(size_t num,size_t size);
int system(const char * command);
void qsort(void * base,size_t num,size_t width,int (*compare)(const void *,const void *));

#ifdef __cplusplus
}
#endif

#endif
